SRC/sladiv.f(3)

NAME
SRC/sladiv.f

SYNOPSIS

  Functions/Subroutines
subroutine sladiv (a, b, c, d, p, q)
SLADIV performs complex division in real arithmetic, avoiding unnecessary overflow.
subroutine sladiv1 (a, b, c, d, p, q)
real function sladiv2 (a, b, c, d, r, t)

Function/Subroutine Documentation

  subroutine sladiv (real a, real b, real c, real d, real p, real q)

SLADIV performs complex division in real arithmetic, avoiding unnecessary overflow.

Purpose:

     SLADIV performs complex division in  real arithmetic
                           a + i*b
                p + i*q = ---------
                           c + i*d
     The algorithm is due to Michael Baudin and Robert L. Smith
     and can be found in the paper
     'A Robust Complex Division in Scilab'

Parameters
    A

              A is REAL

    B

              B is REAL

    C

              C is REAL

    D

              D is REAL
              The scalars a, b, c, and d in the above expression.

    P

              P is REAL

    Q

              Q is REAL
              The scalars p and q in the above expression.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 90 of file sladiv.f.

  subroutine sladiv1 (real a, real b, real c, real d, real p, real q)

Definition at line 176 of file sladiv.f.

  real function sladiv2 (real a, real b, real c, real d, real r, real t)

Definition at line 215 of file sladiv.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.